Index: connectionVTP.h
===================================================================
RCS file: /var/cvsroot/streamdev/server/connectionVTP.h,v
retrieving revision 1.6
diff -u -2 -r1.6 connectionVTP.h
--- connectionVTP.h	2 Apr 2007 10:32:34 -0000	1.6
+++ connectionVTP.h	23 Apr 2007 17:33:55 -0000
@@ -3,7 +3,8 @@
 
 #include "server/connection.h"
-#include "server/livestreamer.h"
 
 class cTBSocket;
+class cStreamdevLiveStreamer;
+class cStreamdevFilterStreamer;
 class cLSTEHandler;
 class cLSTCHandler;
@@ -19,4 +20,6 @@
 	cTBSocket              *m_LiveSocket;
 	cStreamdevLiveStreamer *m_LiveStreamer;
+	cTBSocket                *m_FilterSocket;
+	cStreamdevFilterStreamer *m_FilterStreamer;
 
 	char                   *m_LastCommand;
@@ -54,6 +57,6 @@
 	bool CmdDELF(char *Opts);
 	bool CmdABRT(char *Opts);
-	bool CmdQUIT(char *Opts);
-	bool CmdSUSP(char *Opts);
+	bool CmdQUIT(void);
+	bool CmdSUSP(void);
 
 	// Thread-safe implementations of SVDRP commands
@@ -74,8 +77,3 @@
 };
 
-inline bool cConnectionVTP::Abort(void) const
-{
-	return m_LiveStreamer && m_LiveStreamer->Abort();
-}
-
 #endif // VDR_STREAMDEV_SERVERS_CONNECTIONVTP_H
Index: connectionVTP.c
===================================================================
RCS file: /var/cvsroot/streamdev/server/connectionVTP.c,v
retrieving revision 1.9
diff -u -2 -r1.9 connectionVTP.c
--- connectionVTP.c	16 Apr 2007 11:01:02 -0000	1.9
+++ connectionVTP.c	23 Apr 2007 17:33:56 -0000
@@ -467,4 +467,6 @@
 		m_LiveSocket(NULL),
 		m_LiveStreamer(NULL),
+		m_FilterSocket(NULL),
+		m_FilterStreamer(NULL),
 		m_LastCommand(NULL),
 		m_NoTSPIDS(false),
@@ -486,4 +490,9 @@
 }
 
+inline bool cConnectionVTP::Abort(void) const
+{
+	return m_LiveStreamer && m_LiveStreamer->Abort();
+}
+
 void cConnectionVTP::Welcome(void) 
 {
@@ -548,6 +559,6 @@
 	else if (strcasecmp(Cmd, "DELF") == 0) return CmdDELF(param);
 	else if (strcasecmp(Cmd, "ABRT") == 0) return CmdABRT(param);
-	else if (strcasecmp(Cmd, "QUIT") == 0) return CmdQUIT(param);
-	else if (strcasecmp(Cmd, "SUSP") == 0) return CmdSUSP(param);
+	else if (strcasecmp(Cmd, "QUIT") == 0) return CmdQUIT();
+	else if (strcasecmp(Cmd, "SUSP") == 0) return CmdSUSP();
 	// Commands adopted from SVDRP
 	//else if (strcasecmp(Cmd, "DELR") == 0) return CmdDELR(param);
@@ -773,3 +849,3 @@
 
-bool cConnectionVTP::CmdQUIT(char *Opts) 
+bool cConnectionVTP::CmdQUIT(void) 
 {
@@ -779,3 +855,3 @@
 
-bool cConnectionVTP::CmdSUSP(char *Opts) 
+bool cConnectionVTP::CmdSUSP(void) 
 {
